
Application: gvSIG desktop - gvSIG bugs #4651
error saving polygon split in postgis
09/05/2017 08:06 PM - Mario Fevre

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Database
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

After spliting this existing polygon in pg datebase, arrero alert.
pasted below.

Problemas topológicos en la capa de entrada. El resultado del geoproceso puede no ser correcto.
com.vividsolutions.jts.geom.TopologyException: found non-noded intersection between LINESTRING ( -6508691.574325502
-4118382.534496392, -6507495.196474522 -4118399.892657176 ) and LINESTRING ( -6508691.574325502 -4118397.222170902,
-6508691.574325502 -4118381.199253255 ) [ (-6508691.574325502, -4118382.534496392, NaN) ]
    com.vividsolutions.jts.noding.FastNodingValidator.checkValid(FastNodingValidator.java:130)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:94)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:59)
    com.vividsolutions.jts.operation.overlay.OverlayOp.computeOverlay(OverlayOp.java:170)
    com.vividsolutions.jts.operation.overlay.OverlayOp.getResultGeometry(OverlayOp.java:127)
    com.vividsolutions.jts.operation.overlay.OverlayOp.overlayOp(OverlayOp.java:66)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.getResultGeometry(SnapIfNeededOverlayOp.java:96)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.overlayOp(SnapIfNeededOverlayOp.java:58)
    com.vividsolutions.jts.geom.Geometry.union(Geometry.java:1395)
    com.vividsolutions.jts.precision.EnhancedPrecisionOp.union(EnhancedPrecisionOp.java:92)
    org.gvsig.geoprocess.algorithm.base.util.JTSFacade.union(JTSFacade.java:83)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesUnion3(DissolveOperationFast.java:313)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.buildListToJoin(DissolveOperationFast.java:433)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesGeometryOperation(DissolveOperationFast.java:238)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveAlgorithm.processAlgorithm(DissolveAlgorithm.java:127)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:84)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)     es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    java.util.concurrent.FutureTask.run(Unknown Source)     java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)     java.lang.Thread.run(Unknown Source) Problemas
topológicos en la capa de entrada. El resultado del geoproceso puede no ser correcto.
com.vividsolutions.jts.geom.TopologyException: found non-noded intersection between LINESTRING ( -6507373.826432039
-4118274.238340437, -6507373.2905418435 -4118268.879438476 ) and LINESTRING ( -6507327.2039849805
-4118313.3583247503, -6507374.3623222355 -4118273.7024502405 ) [ (-6507373.818567823, -4118274.15969827, NaN) ]
    com.vividsolutions.jts.noding.FastNodingValidator.checkValid(FastNodingValidator.java:130)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:94)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:59)
    com.vividsolutions.jts.operation.overlay.OverlayOp.computeOverlay(OverlayOp.java:170)
    com.vividsolutions.jts.operation.overlay.OverlayOp.getResultGeometry(OverlayOp.java:127)
    com.vividsolutions.jts.operation.overlay.OverlayOp.overlayOp(OverlayOp.java:66)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.getResultGeometry(SnapIfNeededOverlayOp.java:96)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.overlayOp(SnapIfNeededOverlayOp.java:58)
    com.vividsolutions.jts.geom.Geometry.union(Geometry.java:1395)
    com.vividsolutions.jts.precision.EnhancedPrecisionOp.union(EnhancedPrecisionOp.java:92)
    org.gvsig.geoprocess.algorithm.base.util.JTSFacade.union(JTSFacade.java:83)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesUnion3(DissolveOperationFast.java:313)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.buildListToJoin(DissolveOperationFast.java:433)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesGeometryOperation(DissolveOperationFast.java:238)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveAlgorithm.processAlgorithm(DissolveAlgorithm.java:127)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:84)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)     es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    java.util.concurrent.FutureTask.run(Unknown Source)     java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)     java.lang.Thread.run(Unknown Source) Problemas
topológicos en la capa de entrada. El resultado del geoproceso puede no ser correcto.
com.vividsolutions.jts.geom.TopologyException: found non-noded intersection between LINESTRING ( -6507424.249721199
-4117816.346699447, -6507363.289721199 -4117761.736699447 ) and LINESTRING ( -6507381.0697212 -4117856.986699447,
-6507425.5197212 -4117815.076699447 ) [ (-6507424.2102521155, -4117816.311341726, NaN) ]
    com.vividsolutions.jts.noding.FastNodingValidator.checkValid(FastNodingValidator.java:130)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:94)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:59)
    com.vividsolutions.jts.operation.overlay.OverlayOp.computeOverlay(OverlayOp.java:170)
    com.vividsolutions.jts.operation.overlay.OverlayOp.getResultGeometry(OverlayOp.java:127)
    com.vividsolutions.jts.operation.overlay.OverlayOp.overlayOp(OverlayOp.java:66)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.getResultGeometry(SnapIfNeededOverlayOp.java:96)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.overlayOp(SnapIfNeededOverlayOp.java:58)
    com.vividsolutions.jts.geom.Geometry.union(Geometry.java:1395)
    com.vividsolutions.jts.precision.EnhancedPrecisionOp.union(EnhancedPrecisionOp.java:92)
    org.gvsig.geoprocess.algorithm.base.util.JTSFacade.union(JTSFacade.java:83)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesUnion3(DissolveOperationFast.java:313)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.buildListToJoin(DissolveOperationFast.java:433)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesGeometryOperation(DissolveOperationFast.java:238)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveAlgorithm.processAlgorithm(DissolveAlgorithm.java:127)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:84)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)     es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    java.util.concurrent.FutureTask.run(Unknown Source)     java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)     java.lang.Thread.run(Unknown Source) Problemas
topológicos en la capa de entrada. El resultado del geoproceso puede no ser correcto.
com.vividsolutions.jts.geom.TopologyException: found non-noded intersection between LINESTRING ( -6508691.574325502
-4118382.534496392, -6507502.684209327 -4118399.784018167 ) and LINESTRING ( -6508691.574325502 -4118397.222170902,
-6508691.574325502 -4118381.199253255 ) [ (-6508691.574325502, -4118382.534496392, NaN) ]
    com.vividsolutions.jts.noding.FastNodingValidator.checkValid(FastNodingValidator.java:130)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:94)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:59)
    com.vividsolutions.jts.operation.overlay.OverlayOp.computeOverlay(OverlayOp.java:170)
    com.vividsolutions.jts.operation.overlay.OverlayOp.getResultGeometry(OverlayOp.java:127)
    com.vividsolutions.jts.operation.overlay.OverlayOp.overlayOp(OverlayOp.java:66)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.getResultGeometry(SnapIfNeededOverlayOp.java:96)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.overlayOp(SnapIfNeededOverlayOp.java:58)
    com.vividsolutions.jts.geom.Geometry.union(Geometry.java:1395)
    com.vividsolutions.jts.precision.EnhancedPrecisionOp.union(EnhancedPrecisionOp.java:92)
    org.gvsig.geoprocess.algorithm.base.util.JTSFacade.union(JTSFacade.java:83)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesUnion3(DissolveOperationFast.java:313)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.buildListToJoin(DissolveOperationFast.java:433)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesGeometryOperation(DissolveOperationFast.java:238)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveAlgorithm.processAlgorithm(DissolveAlgorithm.java:127)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:84)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)     es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    java.util.concurrent.FutureTask.run(Unknown Source)     java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)     java.lang.Thread.run(Unknown Source) Problemas
topológicos en la capa de entrada. El resultado del geoproceso puede no ser correcto.
com.vividsolutions.jts.geom.TopologyException: found non-noded intersection between LINESTRING ( -6507373.826432039
-4118274.238340437, -6507373.2905418435 -4118268.879438476 ) and LINESTRING ( -6507327.2039849805
-4118313.3583247503, -6507374.3623222355 -4118273.7024502405 ) [ (-6507373.818567823, -4118274.15969827, NaN) ]
    com.vividsolutions.jts.noding.FastNodingValidator.checkValid(FastNodingValidator.java:130)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:94)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:59)
    com.vividsolutions.jts.operation.overlay.OverlayOp.computeOverlay(OverlayOp.java:170)
    com.vividsolutions.jts.operation.overlay.OverlayOp.getResultGeometry(OverlayOp.java:127)
    com.vividsolutions.jts.operation.overlay.OverlayOp.overlayOp(OverlayOp.java:66)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.getResultGeometry(SnapIfNeededOverlayOp.java:96)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.overlayOp(SnapIfNeededOverlayOp.java:58)
    com.vividsolutions.jts.geom.Geometry.union(Geometry.java:1395)
    com.vividsolutions.jts.precision.EnhancedPrecisionOp.union(EnhancedPrecisionOp.java:92)
    org.gvsig.geoprocess.algorithm.base.util.JTSFacade.union(JTSFacade.java:83)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesUnion3(DissolveOperationFast.java:313)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.buildListToJoin(DissolveOperationFast.java:433)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesGeometryOperation(DissolveOperationFast.java:238)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveAlgorithm.processAlgorithm(DissolveAlgorithm.java:127)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:84)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)     es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    java.util.concurrent.FutureTask.run(Unknown Source)     java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)     java.lang.Thread.run(Unknown Source) Problemas
topológicos en la capa de entrada. El resultado del geoproceso puede no ser correcto.
com.vividsolutions.jts.geom.TopologyException: found non-noded intersection between LINESTRING ( -6507424.249721199
-4117816.346699447, -6507363.289721199 -4117761.736699447 ) and LINESTRING ( -6507381.0697212 -4117856.986699447,
-6507425.5197212 -4117815.076699447 ) [ (-6507424.2102521155, -4117816.311341726, NaN) ]
    com.vividsolutions.jts.noding.FastNodingValidator.checkValid(FastNodingValidator.java:130)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:94)
    com.vividsolutions.jts.geomgraph.EdgeNodingValidator.checkValid(EdgeNodingValidator.java:59)
    com.vividsolutions.jts.operation.overlay.OverlayOp.computeOverlay(OverlayOp.java:170)
    com.vividsolutions.jts.operation.overlay.OverlayOp.getResultGeometry(OverlayOp.java:127)
    com.vividsolutions.jts.operation.overlay.OverlayOp.overlayOp(OverlayOp.java:66)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.getResultGeometry(SnapIfNeededOverlayOp.java:96)
    com.vividsolutions.jts.operation.overlay.snap.SnapIfNeededOverlayOp.overlayOp(SnapIfNeededOverlayOp.java:58)
    com.vividsolutions.jts.geom.Geometry.union(Geometry.java:1395)
    com.vividsolutions.jts.precision.EnhancedPrecisionOp.union(EnhancedPrecisionOp.java:92)
    org.gvsig.geoprocess.algorithm.base.util.JTSFacade.union(JTSFacade.java:83)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesUnion3(DissolveOperationFast.java:313)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.buildListToJoin(DissolveOperationFast.java:433)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveOperationFast.computesGeometryOperation(DissolveOperationFast.java:238)
    org.gvsig.geoprocess.algorithm.dissolve.DissolveAlgorithm.processAlgorithm(DissolveAlgorithm.java:127)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:84)
    es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)     es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    java.util.concurrent.FutureTask.run(Unknown Source)     java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)     java.lang.Thread.run(Unknown Source)

History
#1 - 09/11/2017 12:33 PM - Álvaro Anguix
- Category set to Database

#2 - 08/04/2023 09:48 AM - Álvaro Anguix
- Status changed from New to Outdated
